/**
 * Classe ObjetoDinamico
 *
 * Super classe utilizada para agrupar as propriedades em comum dos objetos
 * que podem ser inseridos na área de desenho.
 *
 * @author Robertino Mendes Santiago Jr <robertino@ufpr.br>
 */
export default class ObjetoDinamico {
  /**
   * Construtor da classe ObjetoDinamico
   */
  constructor() {
    this.svgNS = 'http://www.w3.org/2000/svg';
    this.draggable = false;
  }

  getDraggable() {
    return this.draggable;
  }

  setDraggable(draggable) {
    this.draggable = draggable;
  }
}
